summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPedro Henrique2019-11-01 13:07:27 -0300
committerPedro Henrique2019-11-01 13:07:27 -0300
commit6658397cd8f1ecfb2407bf896f0da5214fd46303 (patch)
treee3fa9623fa66f992fffa38a6ed7941807497085f
parent8fd76e1f3ee424a70d8c23cd7e49d583d8db40b0 (diff)
downloadaur-6658397cd8f1ecfb2407bf896f0da5214fd46303.tar.gz
Update to version 3.3.2
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD43
-rw-r--r--build.sh2
-rw-r--r--overgrive.install53
4 files changed, 79 insertions, 33 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e351e09c236..c54e9d39ef4 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,22 @@
pkgbase = overgrive
pkgdesc = A complete Google Drive™ desktop client solution for Linux
- pkgver = 3.3.1
- pkgrel = 2
+ pkgver = 3.3.2
+ pkgrel = 0
url = https://www.thefanclub.co.za/overgrive
install = overgrive.install
arch = x86_64
license = unknown
+ depends = libappindicator-gtk3
depends = libnotify
depends = python3
+ depends = python-gobject
depends = python-oauth2client
depends = python-pyinotify
- depends = python-gobject
- depends = libappindicator-gtk3
provides = overgrive
conflicts = overgrive
- noextract = overgrive-3.3.1-0-any.pkg.tar.xz
- source = https://www.thefanclub.co.za/sites/default/files/public/overgrive/overgrive-3.3.1-0-any.pkg.tar.xz
- md5sums = 5e42edfb340a7c34785ad04655b1ff39
+ noextract = overgrive-3.3.2-0-any.pkg.tar.xz
+ source = https://www.thefanclub.co.za/sites/default/files/public/overgrive/overgrive-3.3.2-0-any.pkg.tar.xz
+ md5sums = e33e8990b637ecbacea36f5a8ea23b7c
pkgname = overgrive
diff --git a/PKGBUILD b/PKGBUILD
index f62e1ab1eef..a15f8387274 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,35 +1,34 @@
# Maintainer: Pedro Henrique <pedro00dk@gmail.com>
pkgname=overgrive
-pkgver=3.3.1
-pkgrel=2
-pkgdesc="A complete Google Drive™ desktop client solution for Linux"
+pkgver=3.3.2
+pkgrel=0
+pkgdesc='A complete Google Drive™ desktop client solution for Linux'
arch=('x86_64')
-url="https://www.thefanclub.co.za/overgrive"
-license=("unknown")
-depends=(
- # original overgrive dependencies
- # libnotify python3 python-oauth2client python-pyinotify python-pip python-gobject libappindicator-gtk3
- #
- # I removed python-pip package not to have any global python package that isn't a system package
- libnotify python3 python-oauth2client python-pyinotify python-gobject libappindicator-gtk3
-)
-provides=("overgrive")
-conflicts=("overgrive")
-install="overgrive.install"
+url='https://www.thefanclub.co.za/overgrive'
+license=('unknown')
+
+# original overgrive dependencies
+# libnotify python3 python-oauth2client python-pyinotify python-pip python-gobject libappindicator-gtk3
+depends=(libappindicator-gtk3 libnotify python3 python-gobject python-oauth2client python-pyinotify)
+
+provides=('overgrive')
+conflicts=('overgrive')
+install='overgrive.install'
changelog=
-source=(
- "https://www.thefanclub.co.za/sites/default/files/public/overgrive/overgrive-3.3.1-0-any.pkg.tar.xz"
-)
-noextract=("overgrive-3.3.1-0-any.pkg.tar.xz")
-md5sums=("5e42edfb340a7c34785ad04655b1ff39")
+
+source=('https://www.thefanclub.co.za/sites/default/files/public/overgrive/overgrive-3.3.2-0-any.pkg.tar.xz')
+noextract=('overgrive-3.3.2-0-any.pkg.tar.xz')
+md5sums=('e33e8990b637ecbacea36f5a8ea23b7c')
+
prepare() {
- tar --extract --file='./overgrive-3.3.1-0-any.pkg.tar.xz'
- rm -- './overgrive-3.3.1-0-any.pkg.tar.xz'
+ tar --extract --file='./overgrive-3.3.2-0-any.pkg.tar.xz'
+ rm -- './overgrive-3.3.2-0-any.pkg.tar.xz'
sed --in-place -- \
's+Exec=python3+Exec=/opt/thefanclub/overgrive/venv/bin/python3+g' \
'./usr/share/applications/overgrive.desktop' \
'./opt/thefanclub/overgrive/overgrive-autostart.desktop'
}
+
package() {
cp --recursive -- './opt/' './usr/' "${pkgdir}/"
}
diff --git a/build.sh b/build.sh
index ca50284d7e1..104c279563b 100644
--- a/build.sh
+++ b/build.sh
@@ -1,2 +1,2 @@
-makepkg -f
+makepkg -fs
makepkg --printsrcinfo > .SRCINFO \ No newline at end of file
diff --git a/overgrive.install b/overgrive.install
index 4b54581c8fa..dd39a8ca0e4 100644
--- a/overgrive.install
+++ b/overgrive.install
@@ -1,7 +1,8 @@
post_install() {
- python3 -m venv --system-site-packages /opt/thefanclub/overgrive/venv
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
- # Install Google API Client for Python3 (for the virtualenv)
+ # virtual environement to avoid pip changing system packages
+ python3 -m venv --system-site-packages /opt/thefanclub/overgrive/venv
/opt/thefanclub/overgrive/venv/bin/pip3 install --upgrade google-api-python-client
# Recomplie Schemas for good measure
@@ -23,10 +24,56 @@ post_upgrade() {
post_install
}
+pre_remove() {
+ # stop application if running
+ if ( pgrep overgrive > /dev/null )
+ then
+ pkill -9 ^overgrive
+ fi
+
+ # Set English as Shell output language
+ LANG=en_US.UTF-8
+ export LC_ALL=en_US.UTF-8
+ userName=$(eval echo $SUDO_USER)
+ userHome=$(eval echo ~${SUDO_USER})
+
+ if [ -f /tmp/overgrive.lock ]
+ then
+ # check if indicator is running
+ checkFlock=$(cat /tmp/overgrive.lock)
+
+ if [ ! "$checkFlock" = "" ]
+ then
+ kill $checkFlock 2>/dev/null || true
+ rm /tmp/overgrive.lock
+ fi
+ fi
+
+ if [ -f "$userHome/.config/autostart/overgrive-autostart.desktop" ]
+ then
+ rm "$userHome/.config/autostart/overgrive-autostart.desktop"
+ fi
+
+ if [ -f "$userHome/.config/autostart/overgrive.desktop" ]
+ then
+ rm "$userHome/.config/autostart/overgrive.desktop"
+ fi
+
+
+ if [ -f "/opt/thefanclub/overgrive/overgrive" ]
+ then
+ rm "/opt/thefanclub/overgrive/overgrive"
+ fi
+}
+
post_remove() {
sudo rm -rf /opt/thefanclub/overgrive/
+
if [ -z "$(ls -A /opt/thefanclub/)" ]
then
sudo rmdir /opt/thefanclub/
fi
-} \ No newline at end of file
+
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+}